function S = mtimes(A,B)

% S = MTIMES(A,B)     
%
% Multiplies data in a timescale object with a scalar and produces the product. 
%
% INPUTS:
% A,B       One timescale object and one scalar.
%
%       
% OUTPUTS: 
% S         Timescale object holding the product.
%

% Ian Gravagne, 12/29/03 Baylor University

if( (~isa(A,'timescale') & ~isnumeric(A)) | (~isa(B,'timescale') & ~isnumeric(B)) )
    error('Only accepts timescale objects and scalars as inputs.');
end

if( isa(A,'timescale') & isa(B,'timescale'))
    error('Cannot multiply two timescales. Use .* operator');
end

S = timescale;

if(isa(A,'timescale'))
    S.type = A.type;
    S.data = A.data*B(1);
else
    S.type = B.type;
    S.data = A(1)*B.data;
end
