function C = or(A,B)

% C = OR(A,B)
%
% Implements the timescale equivalent of MATLAB's usual OR logical operator, C = A|B.
% Output C holds a timescale object of 1's and 0's. 
%

% Ian Gravagne, 12/30/03 Baylor University


if(isa(A,'timescale') & isnumeric(B))
    C = timescale([A.data | B(1)], A.type);
elseif(isa(B,'timescale') & isnumeric(A))
    C = timescale([A(1) | B.data], A.type);
elseif(isa(B,'timescale') & isa(A,'timescale'))
    if(incompatible(A,B))
        error('Timescale arguments do not have same type/size.');
    end
    C = timescale([A.data | B.data], A.type);
else
    error('Arguments for | operator must be timescale and/or numeric objects.');
end