function Y = tsharmonic(n)

% TSHARMONIC Timescale Harmonic - Utility function
%   TSHARMONIC(N) Returns a harmonic timescale where the input N is the
%   number of points.
%
%   Brian Ballard, Bunmi Otegbade   06/27/05

x(1)=1;
for i = 2:n
    x(i)=x(i-1)+(1/i);
end
Y = timescale(size(x)+1,'d');
Y(1) = 0; 
Y(2:n+1,1) = x;
