function Y = tspab(a,x,b,n)

% TSPAB - Utility Function
%   TSPAB(A,X,B,N) - Returns a timescale of the form P(a,b). A is the size
%   of the continuous interval, X is the step size of the continuous
%   interval, B is the size of the gap and N is the number of A-B pairs.
%   All intervals are CONTINUOUS
%
%   Brian Ballard, Bunmi Otegbade   06/27/05


if (nargin ~=4)
    error('Insufficient number of arguments. Inputs must be A,X,B,N')
end

%Dynamically create a timescale with varying number of intervals
type = zeros(2,n);      %Using the type matrix
Y = timescale([],type);

for i = 1:n
    
   if(i==1) Y(:,i)= [0:x:a]; end
  
   Y(:,i) = [(((i-1)*a)+((i-1)*b)):x:((i*a)+((i-1)*b))];
   
end
